# -*- encoding: utf-8 -*-
# stub: bit-twiddle 0.1.2 ruby lib
# stub: ext/bit_twiddle/extconf.rb

Gem::Specification.new do |s|
  s.name = "bit-twiddle".freeze
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alex Dowad".freeze]
  s.date = "2022-06-14"
  s.description = "Fast (native) bitwise operations for Ruby, in addition to the ones provided by the standard library".freeze
  s.email = "alexinbeijing@gmail.com".freeze
  s.extensions = ["ext/bit_twiddle/extconf.rb".freeze]
  s.files = ["ext/bit_twiddle/extconf.rb".freeze]
  s.homepage = "http://github.com/alexdowad/bit-twiddle".freeze
  s.licenses = ["None (Public Domain)".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.8".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Fast bitwise operations for Ruby".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.2"])
    s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 0.9"])
    s.add_development_dependency(%q<benchmark-ips>.freeze, ["~> 2.7"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.2"])
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 0.9"])
    s.add_dependency(%q<benchmark-ips>.freeze, ["~> 2.7"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
